Bug 1787646 - hybrid overlay fails on a 4.4 cluster
Summary: hybrid overlay fails on a 4.4 cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Windows Containers
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Aravindh Puthiyaparambil
QA Contact: gaoshang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-03 20:48 UTC by Aravindh Puthiyaparambil
Modified: 2020-05-04 11:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The execution of the hybrid-overlay.exe is failing in the Windows node as it cannot find the required k8s.ovn.org/hybrid-overlay-hostsubnet annotation on the node object that should be applied on enabling hybrid OVN networking. Consequence: Networking was not enabled on the node Fix: The hybrid annotation has changed to k8s.ovn.org/hybrid-overlay-node-subnet in 4.4 and to pick those changes up we need to use a newer version of the hybrid-overlay.exe. A release was cut that included the newer version built from the master (4.4) branch of openshift/ovn-kubernetes and WSU was updated to use this version. Result: Networking is enabled on the node
Clone Of:
Environment:
Last Closed: 2020-05-04 11:22:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift windows-machine-config-bootstrapper pull 121 0 None closed Bug 1787646: Update hybrid-overlay.exe for 4.4 2020-09-03 14:49:26 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:22:40 UTC

Comment 5 gaoshang 2020-01-08 08:21:04 UTC
QA verification is blocked by Bug 1788818, will verify this bug when the blocker fixed, thanks.

Comment 6 gaoshang 2020-01-13 06:25:57 UTC
This bug has been verified and padded on OCP 4.4.0-0.nightly-2020-01-12-032939, thanks.

Version:
# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-01-12-032939   True        False         77m     Cluster version is 4.4.0-0.nightly-2020-01-12-032939
WMCO repo:
# git show
commit 389ae941d6113d8a741719a5fb559e5deca0a506

Steps:
1, Run WSU against a Windows node attached to a 4.4 cluster
2, Run succeed and all hybrid-overlay Tasks pass
3, Check windows node added to cluster
# oc get node
NAME                                         STATUS   ROLES    AGE     VERSION
...
ip-10-0-31-23.us-east-2.compute.internal     Ready    worker   129m    v1.16.2

Comment 8 errata-xmlrpc 2020-05-04 11:22:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.